Loading...
Searching...
No Matches
Catch::Benchmark::Detail::BenchmarkFunction::model< Fun > Struct Template Reference
Inheritance diagram for Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >:
[legend]
Collaboration diagram for Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >:
[legend]

## Public Member Functions

| model (Fun &&fun_)
| model (Fun const &fun_)
void | call (Chronometer meter) const override
void | call (Chronometer meter, std::true_type) const
void | call (Chronometer meter, std::false_type) const
Public Member Functions inherited from Catch::Benchmark::Detail::BenchmarkFunction::callable
virtual | ~callable ()
| callable ()=default
| callable (callable &&)=default
callable & | operator= (callable &&)=default

## Public Attributes

Fun | fun

## Constructor & Destructor Documentation

## model() [1/2]

template<typename Fun>

Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::model | ( | Fun && | fun_ | ) |

inline

## model() [2/2]

template<typename Fun>

Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::model | ( | Fun const & | fun_ | ) |

inline

## Member Function Documentation

## call() [1/3]

template<typename Fun>

void Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::call | ( | Chronometer | meter | ) | const

inlineoverridevirtual

Implements Catch::Benchmark::Detail::BenchmarkFunction::callable.

Here is the call graph for this function:
Here is the caller graph for this function:

## call() [2/3]

template<typename Fun>

void Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::call | ( | Chronometer | meter,
|  | std::false_type | ) const

inline

Here is the call graph for this function:

## call() [3/3]

template<typename Fun>

void Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::call | ( | Chronometer | meter,
|  | std::true_type | ) const

inline

## Member Data Documentation

## fun

template<typename Fun>

Fun Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >::fun

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp